Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader Class Referenceabstract

`#include <ArchiveReader.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader:

## Public Member Functions
virtual | ~ArchiveReader ()
virtual const std::string & | getName () const =0
virtual const MetaData & | getMetaData () const =0
virtual ObjectReaderPtr | getTop ()=0
virtual ReadArraySampleCachePtr | getReadArraySampleCachePtr ()=0
virtual void | setReadArraySampleCachePtr (ReadArraySampleCachePtr iPtr)=0
virtual TimeSamplingPtr | getTimeSampling (uint32_t iIndex)=0
| Returns the TimeSampling at a given index.
virtual index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)=0
virtual uint32_t | getNumTimeSamplings ()=0
virtual int32_t | getArchiveVersion ()=0
virtual ArchiveReaderPtr | asArchivePtr ()=0

## Detailed Description

The Archive is "the file". It has a single object, it's top object. It has no properties, but does have metadata.

## Constructor & Destructor Documentation

## ◆ ~ArchiveReader()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::~ArchiveReader | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ asArchivePtr()

virtual ArchiveReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::asArchivePtr | ( |  | ) |
| pure virtual

Return self ...

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getArchiveVersion()

virtual int32_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getArchiveVersion | ( |  | ) |
| pure virtual

Returns the Alembic library numeric version (see Foundation.h) of this archive file.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getMaxNumSamplesForTimeSamplingIndex()

virtual index_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getMaxNumSamplesForTimeSamplingIndex | ( | uint32_t | iIndex | ) |
| pure virtual

Returns the maximum number of samples written for the TimeSampling at the given index. If an illegal iIndex is specified, or a max number of samplings couldn't be found for that iIndex (for older archives pre 1.1.3) INDEX_UNKNOWN will be returned.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getMetaData()

virtual const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getMetaData | ( |  | ) | const
| pure virtual

The meta data of the archive is the same as the meta data of the top-level object reader.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getName()

virtual const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getName | ( |  | ) | const
| pure virtual

Return the archive (file) name. This is the name of the file which the root reader is associated with.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getNumTimeSamplings()

virtual uint32_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getNumTimeSamplings | ( |  | ) |
| pure virtual

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getReadArraySampleCachePtr()

virtual ReadArraySampleCachePtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getReadArraySampleCachePtr | ( |  | ) |
| pure virtual

Get the read array sample cache. It may be a NULL pointer. Caches can be shared amongst separate archives, and caching will is disabled if a NULL cache is returned here.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getTimeSampling()

virtual TimeSamplingPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getTimeSampling | ( | uint32_t | iIndex | ) |
| pure virtual

Returns the TimeSampling at a given index.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl.

## ◆ getTop()

virtual ObjectReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::getTop | ( |  | ) |
| pure virtual

Get (or open) a pointer to the top object reader corresponding to this archive.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::ArImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ArImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ArImpl.

## ◆ setReadArraySampleCachePtr()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveReader::setReadArraySampleCachePtr | ( | ReadArraySampleCachePtr | iPtr | ) |
| pure virtual

Set the read array sample cache. It may also be a NULL pointer. Caches can be shared amongst separate archives, and caching will be disabled if a NULL cache is passed here.

The documentation for this class was generated from the following files:

- AbcCoreAbstract/ArchiveReader.h
- AbcCoreAbstract/ArchiveReader.cpp